import React from "react";
import { FlatListProps, StyleProp, ViewStyle } from "react-native";
interface Props<ItemT> extends Partial<FlatListProps<ItemT>> {
    renderButtonContent?: (selectedItem?: ItemT, placeholderText?: string) => React.ReactElement<any> | null;
    buttonStyle?: StyleProp<ViewStyle>;
    labelExtractor?: (item: ItemT) => string;
    selectedIndex?: number;
    onChange?: (item: ItemT, index: number) => void;
    data: ItemT[];
    placeholderText?: string;
    listWidth?: number | "auto";
}
declare type InlinePickerComponent<ItemT = any> = React.SFC<Props<ItemT>>;
export declare const InlinePicker: InlinePickerComponent;
export default InlinePicker;
